Macaulay2 » Documentation
Packages » CodingTheory » LinearCode » Code
next | previous | forward | backward | up | index | toc

# Code -- a code as image

- Usage:
    `C.Code`
- Inputs:
  - C, an instance of the type LinearCode,
- Outputs:
  - a module,

## Description

Given a linear code C, this symbol is used as a key for storing C as the image of some mapping between finitely generated modules, where each module is over the same Galois field.

This symbol is provided by the package CodingTheory.

    i1 : C = linearCode(GF(8,Variable => b), {{1,1,b,0,0},{0,b,b,1,0},{1,1,1,b,0}});

    i2 : C.Code

    o2 = image | 1 0 1 |
               | 1 b 1 |
               | b b 1 |
               | 0 1 b |
               | 0 0 0 |

                                         5
    o2 : GF 8-module, submodule of (GF 8)

## For the programmer

The object Code is a symbol.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/CodingTheory.m2:2891:0.